KDE 4.9 PyKDE API Reference

- KDE's Python API

# ParseRunnerPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.PluginInterface
Namespace: Marble

## Detailed Description

A plugin for Marble to execute a parsing task.

## Methods
| __init__ (self, QObject parent=0)
QStringList | fileExtensions (self)
QString | fileFormatDescription (self)
QIcon | icon (self)
Marble.MarbleAbstractRunner | newRunner (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor with optional parent object

QStringList fileExtensions | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the file extensions associated with the file format.

Example: "kml", "kmz"

QString fileFormatDescription | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns a short description of the supported file format.

Example: "Google Earth KML"

QIcon icon | ( |  | self ) |

Marble.MarbleAbstractRunner newRunner | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Plugin factory method to create a new runner instance. Method caller gets ownership of the returned object